GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

          • Get Group Details
          • Get Group List
          • Create Group
          • Batch Create Groups
          • Update Group
          • Batch Delete Groups
          • Add Group Members
          • Batch Remove Group Members
          • Get Group Member List
          • Get Group Authorized Resources
        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. User Group Management

  10. /
  11. Get Group List

¶ Get group list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get group list, support paging.

¶ Method name

ManagementClient.list_groups

¶ Request parameters

NameType
Required
Default value
Description
Sample value
keywordsstringNo-Search group code or group nameGroup 1
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
withMetadatabooleanNo-Whether to display metadata content
withCustomDatabooleanNo-Whether to obtain custom data
flatCustomDatabooleanNo-Whether to flatten the extended field

¶ Request Response

Type: GroupPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataGroupPagingDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "id": "60b49eb83fd80adb96f26e68",
      "code": "developer",
      "name": "Developer",
      "description": "Description",
      "type": "static",
      "members": {
        "userId": "6229ffaxxxxxxxxcade3e3d9",
        "createdAt": "2022-07-03T03:20:30.000Z",
        "updatedAt": "2022-07-03T03:20:30.000Z",
        "status": "Activated",
        "workStatus": "Active",
        "externalId": "10010",
        "email": "test@example.com",
        "phone": "188xxxx8888",
        "phoneCountryCode": "+86",
        "username": "bob",
        "name": "xxx",
        "nickname": "xxx",
        "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
        "loginsCount": 3,
        "lastLogin": "2022-07-03T03:20:30.000Z",
        "lastIp": "127.0.0.1",
        "gender": "M",
        "emailVerified": true,
        "phoneVerified": true,
        "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
        "birthdate": "2022-06-03",
        "country": "CN",
        "province": "BJ",
        "city": "BJ",
        "address": "xxxxx",
        "streetAddress": "xxxxx",
        "postalCode": "438100",
        "company": "steamory",
        "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
        "device": "iOS",
        "givenName": "xx",
        "familyName": "xxx",
        "middleName": "James",
        "profile": "alice",
        "preferredUsername": "alice",
        "website": "https://my-website.com",
        "zoneinfo": "GMT-08:00",
        "locale": "af",
        "formatted": "132, My Street, Kingston, New York 12401.",
        "region": "Xinjiang Uyghur Autonomous Region",
        "userSourceType": "register",
        "passwordSecurityLevel": 1,
        "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
        "identities": {
          "identityId": "62299d8b866d2dab79a89dc4",
          "extIdpId": "6076bacxxxxxxxxd80d993b5",
          "provider": "wechat",
          "type": "openid",
          "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
          "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
          "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
          "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
        },
        "identityNumber": "420421xxxxxxxx1234",
        "customData": {
          "school": "xxxxx",
          "age": 22
        },
        "statusChangedAt": "2022-07-03T03:20:30.000Z"
      }
    }
  }
}

¶ Data Structure

¶ GroupPagingDto

NameType
Is it required?
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: ResGroupDto.

¶ ResGroupDto

nametype
Is it required?
Description
Sample value
idstringyesGroup ID60b49eb83fd80adb96f26e68
codestringyesGroup codedeveloper
namestringyesGroup nameDeveloper
descriptionstringyesGroup descriptionDescription content
typestringyesGroup typestatic
metadataSourcearrayyesGroup metadata information
membersarrayyesMember list Nested type: UserDto.

¶ UserDto

NameType
Is this field required?
Description
Sample value
userIdstringYesThe unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
createdAtstringyescreation time2022-07-03T03:20:30.000Z
updatedAtstringyesupdate time2022-07-03T03:20:30.000Z
statusstringyescurrent status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
Suspended
workStatusstringyescurrent work status of the accountClosed
externalIdstringnothird-party external ID10010
emailstringnoemail address, case insensitivetest@example.com
phonestringNoPhone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringNoPhone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not currently support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
usernamestringNoUsername, unique in the user poolbob
namestringNoUser's real name, not uniquexxx
nicknamestringNoNicknamexxx
photostringNoAvatar linkhttps://files.authing.co/authing-console/default-user-avatar.png
loginsCountnumberNoTotal number of historical logins3
lastLoginstringNoLast login time2022-07-03T03:20:30.000Z
lastIpstringNoLast login IP127.0.0.1
genderstringyesGender:
- M: male, male
- F: female, female
- U: unknown, unknown
M
emailVerifiedbooleanyesEmail verifiedtrue
phoneVerifiedbooleanyesPhone number verifiedtrue
passwordLastSetAtstringnoUser's last password modification time2022-07-03T03:20:30.000Z
birthdatestringnoDate of birth2022-06-03
countrystringnoCountryCN
provincestringnoProvinceBJ
citystringnoCityBJ
addressstringnoAddressxxxxx
streetAddressstringnoStreet addressxxxxx
postalCodestringnoPostal code438100
companystringnoCompanysteamory
browserstringnoLast browser UAMozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0
devicestringnoLast deviceiOS
givenNamestringnoFirst namexx
familyNamestringnoLast namexxx
middleNamestringnoMiddle nameJames
websitestringNoUser personal websitehttps://my-website.com
zoneinfostringNoUser time zone informationGMT-08:00
localestringNoLocaleaf
formattedstringNoStandard full address132, My Street, Kingston, New York 12401.
regionstringNoUser locationXinjiang Uyghur Autonomous Region
userSourceTypestringYesSource type:
- excel: Imported through excel
- register: User self-registration
- adminCreated: Manual creation by administrator backend (including creating users using management API)
- syncTask: Synchronization task of synchronization center
excel
userSourceIdstringNoApplication ID or synchronization task ID
lastLoginAppstringNoID of the application where the user last logged in
mainDepartmentIdstringNoID of the user's main department
lastMfaTimestringnoThe time when the user last performed MFA authentication
passwordSecurityLevelnumbernoUser password security strength level1
resetPasswordOnNextLoginbooleannoRequire password reset on next login
registerSourcearraynoRegistration method
departmentIdsarraynoUser department ID list["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"]
identitiesarraynoExternal identity source Nested type: IdentityDto.
identityNumberstringNoUser ID number420421xxxxxxxx1234
customDataobjectNoUser's extended field data{"school":"xxxxx","age":22}
postIdListarrayNoDepartment Id associated with the user
statusChangedAtstringnoUser status last modified time2022-07-03T03:20:30.000Z
tenantIdstringnoUser tenant ID

¶ IdentityDto

NameType
Is this field required?
Description
Sample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-type enterprise identity source
- oauth2: OAuth2-type enterprise identity source
- saml: SAML-type enterprise identity source
- ldap: LDAP-type enterprise identity source
- ad: AD-type enterprise identity source
- cas: CAS-type enterprise identity source
- azure-ad: Azure AD-type enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringyesID in the external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectyesUser's identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesList of identity origin connection IDs that the identity came from["605492ac41xxxxe0362f0707"]
Previous article: Get Group Details Next article: Create Group
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.